// ####################################################################################
// Includes
// ####################################################################################

#include "stdafx.h"
#include "internal.h"

using namespace GregorView::Internal;


// ####################################################################################
// Init/Fin
// ####################################################################################

CCounter::CCounter(void)
{
	m_Count = 0;
}


// ####################################################################################
// Methods
// ####################################################################################

bool CCounter::Increment(void)
{
	m_Count++;
	return (m_Count == 1);
}

bool CCounter::Decrement(void)
{
	m_Count--;
	return (m_Count == 0);
}

ULONG CCounter::GetCount(void)
{
	return m_Count;
}

bool CCounter::IsZero(void)
{
	return (m_Count == 0);
}

