#pragma once
#include "unknwn.h"
#include "CCounter.h"

class CUnknown : public IUnknown
{
	public:
	
		// init,fin
		CUnknown(void);
		
		// IUnknown
		STDMETHODIMP QueryInterface(REFIID riid, void ** ppObj);
		STDMETHODIMP_(ULONG) AddRef(void);
		STDMETHODIMP_(ULONG) Release(void);

	private:

		// fields
		CCounter m_RefCounter;

};
