#pragma once

#include <unknwn.h>

namespace GregorView { namespace Internal {

class CGregorViewClassFactory : public IClassFactory
{
	public:
	
		// init/fin
		CGregorViewClassFactory(REFCLSID rclsid);
		~CGregorViewClassFactory(void);

		// IUnknown
		STDMETHODIMP QueryInterface(REFIID riid, void ** ppObj);
		STDMETHODIMP_(ULONG) AddRef(void);
		STDMETHODIMP_(ULONG) Release(void);

		// IClassFactory
		STDMETHODIMP CreateInstance(IUnknown * pUnkOuter, REFIID riid, void ** ppObj);
		STDMETHODIMP LockServer(BOOL fLock);

	private:

		// fields
		CCounter m_RefCounter;
		CLSID m_ClassId;

};

}; };
