#pragma once

#include "stdafx.h"

namespace GregorView { namespace Internal {

class CGregorViewIconExtractor : public IExtractIcon
{
	public:
		// init/fin
		CGregorViewIconExtractor(void);
		~CGregorViewIconExtractor(void);

		// IUnkown
		STDMETHODIMP QueryInterface(REFIID riid, void ** ppObj);
		STDMETHODIMP_(ULONG) AddRef(void);
		STDMETHODIMP_(ULONG) Release(void);

		// IExtractIcon
		STDMETHODIMP GetIconLocation(UINT uFlags, LPTSTR szIconFile, UINT cchMax, int *piIndex, UINT *pwFlags);
		STDMETHODIMP Extract(LPCTSTR pszFile, UINT nIconIndex, HICON *phiconLarge, HICON *phiconSmall, UINT nIconSize);
		
	private:
		// fields
		CCounter m_RefCounter;
};

}; };

