// ####################################################################################
// Includes
// ####################################################################################

#include "CCounter.h"
#include "CAllocator.h"
#include "CTracer.h"
#include "NGregorViewExtensionPoints.h"

namespace GregorView { namespace Internal {


// ####################################################################################
// Functions
// ####################################################################################

extern HANDLE GetLibraryHandle(void);
extern CCounter & GetInstanceCounter(void);
extern CCounter & GetLockCounter(void);
extern CAllocator & GetAllocator(void);
extern CTracer & GetTracer(void);
extern NGregorViewExtensionPoints & GetExtensionPoints(void);
extern bool GetManagedImplementationPath(const char * pszClassId, char * pszPath, size_t sizePath);

}; };

