#pragma once

#include "stdafx.h"

namespace GregorView { namespace Internal {

// ####################################################################################
// Defines
// ####################################################################################

#define PTRADD(PTR, CB) (((BYTE*)(PTR)) + (CB))


// ####################################################################################
// Prototypes
// ####################################################################################

extern const ITEMIDLIST * Skip(const ITEMIDLIST * pcidl, const ITEMIDLIST * pcidlToSkip);
extern const ITEMIDLIST * Next(const ITEMIDLIST * pcidl);
extern const char * GetIDListInfoString(const ITEMIDLIST * pcidl);
extern bool IsTerminator(const ITEMIDLIST * pcidl);
extern const ITEMIDLIST * GetNextItemID(const ITEMIDLIST * pcidl);
extern const ITEMIDLIST * CloneIDList(const ITEMIDLIST * pcidl);
extern const ITEMIDLIST * ConcatIDLists(const ITEMIDLIST * pcidl1, const ITEMIDLIST * pcidl2);
extern const ITEMIDLIST * GetTerminator(void);
extern const size_t GetIDListSize(const ITEMIDLIST * pcidl, bool fIncludeTerminator = true);
extern void ConcatPathOfNamesTo(const ITEMIDLIST * pcidl, char * psz, size_t bufferSize);
extern CGregorViewId * AsGregorViewId(const ITEMIDLIST * pcidl);

}; };

